using System;
using System.ServiceModel.Configuration;

namespace BeWo.Service.Security
{
    public class SecurityBehaviorExtension : BehaviorExtensionElement
    {
        public override Type BehaviorType
        {
            get
            {
                return typeof(SecurityEndpointBehavior);
            }
        }

        protected override object CreateBehavior()
        {
            return new SecurityEndpointBehavior();
        }
    }
}